KIP17 상속 구현시 solidity 버전

KIP-17 (klaytn-contracts/KIP17Token.sol at master · klaytn/klaytn-contracts · GitHub)을 상속해서 커스터마이징한 컨트랙을 구현하려고 합니다!
이와같은 경우에 KIP-17 의 solidity 버전(0.5.0)에 맞추어서 상속받는 컨트랙도 동일한 버전으로 개발되어야하나요?

@tjdcks1781

안녕하세요.

버전 관련해서 크게 제약은 없습니다만, solidity 버전에 따라 문법에 조금씩 차이가 있을 수 있을 거 같습니다.

이 부분 고려해서 적절히 작업해주시면 될 거 같습니다 :slight_smile:

작업에 신경을 최대한 덜 쓰고 싶다면 버전을 0.5 버전대로 맞춰주는 게 좋을 거 같네요.

1 Like

@tjdcks1781
안녕하세요. 부정확한 정보를 드린 거 같아 정정 드리고자 답글 달아봅니다.
혼선을 드려 죄송합니다.

클레이튼 네트워크 (Cypress OR Baobab) 솔리디티 컴파일러 버전 문의 - Kale님의 글 #4 를 봐주시면 감사하겠습니다.

감사합니다.